set termout off;
SET NEWPAGE 0
SET SPACE 0
SET LINESIZE 200
SET PAGESIZE 0
SET ECHO OFF
SET FEEDBACK OFF
SET VERIFY OFF
SET HEADING OFF
SET MARKUP HTML OFF SPOOL OFF

SPOOL create_synonyms.sql

select 'CREATE SYNONYM "' || object_name || '" FOR "' || (SELECT sys_context('USERENV', 'SESSION_USER') FROM DUAL) || '"."' || object_name || '";'
  from ALL_OBJECTS
  where object_type in ('TABLE', 'VIEW', 'FUNCTION', 'VIEW', 'PROCEDURE', 'SEQUENCE', 'TRIGGER', 'TYPE', 'SYNONYM', 'PACKAGE')
    and owner = (SELECT sys_context('USERENV', 'SESSION_USER') FROM DUAL)
  order by object_name;

EXIT
