set termout off;
SET NEWPAGE 0
SET SPACE 0
SET LINESIZE 200
SET PAGESIZE 0
SET ECHO OFF
SET FEEDBACK OFF
SET VERIFY OFF
SET HEADING OFF
SET MARKUP HTML OFF SPOOL OFF

SPOOL drop_synonyms.sql

select 'DROP SYNONYM "' || object_name || '";' from ALL_OBJECTS where object_type in ('SYNONYM') and owner = (SELECT sys_context('USERENV', 'SESSION_USER') FROM DUAL) order by object_name;

SPOOL OFF

@drop_synonyms.sql

COMMIT

@create_synonyms.sql

EXIT